<?php include_once "../../../autoload.php";


$acao = $_POST["acao"];
unset($_POST["acao"]);
$data = new CategoriaEvento();
$data->dados($_POST); // serializa o formulario;


switch ($acao) {
	case 'cadastrar':
		if ($data->cadastrar()) {
			Mensagem::feedback("Sucesso", "Cadastro realizado com sucesso",1);
		}
		break;
	case 'editar':
		if ($data->alterar()) {
			Mensagem::feedback("Sucesso", "Cadastro alterado com sucesso",2);
		}
		break;
	case 'excluir':
		if ($data->excluir()) {
			Mensagem::feedback("Sucesso", "Cadastro excluido com sucesso",3);
		}
		break;

	default:
		Mensagem::feedback("Erro", "Ação do Forulario não encontrada");
		break;
}
